Subject: Μετάφραση όλων των strings στα ελληνικά

Description

Στο πλαίσιο αυτού του ticket θα παρακολουθείται η μετάφραση για όλα τα λεκτικά του εμφανίζονται στο UI.

Το έχει αναλάβει ο Πάνος.

Υπάρχουν συγκεκριμένες οδηγίες για τη διαδικασία μετάφρασης;

Μπορεί κάποιος από την ομάδα της unweb.me να επιβεβαιώσει ότι υπάρχει πλήρως τεκμηριωμένη διαδικασία στο repository και να

στείλει εδώ αναφορά στις σχετικές οδηγίες, ή αν δεν υπάρχει να συμπληρωθεί το συντομότερο δυνατό, ώστε να ξεκινήσει η

διαδικασία μετάφρασης κι ελέγχου;

Related issues:

related to Synnefo - Bug # 473: Το UI έχει hardcoded strings Closed 05/10/2011

Associated revisions

Revision 6ce23629 - 06/22/2011 01:08 pm - Panos Louridas 

Add greek translations, Refs #689

History

#1 - 06/20/2011 01:34 pm - Markos Gogoulos

Υπάρχουν οι οδηγίες στο README.i18n και έχουμε κάνει το μεγαλύτερο μέρος της μετάφρασης, όλα τα strings όμως θα χρειαστούν επαλήθευση.

Στο directory locale βρίσκονται οι μεταφράσεις για την κάθε γλώσσα (τα αρχεία po).

Για να καταστήσουμε μεταφράσιμα τα strings που θέλουμε:

Στα py αρχεία, βάζουμε το string υπο μετάφραση σε _('string'). Για παράδειγμα το

help_text="letters and numbers only")

θα γίνει

help_text=_("letters and numbers only"))

Στα html αρχεία βάζουμε τα strings σε {% trans "string" %}. Το

Home

θα γίνει

05/06/2024 1/3



{% trans "Home" %}

Όπου υπάρχει κώδικας javascript πρέπει να δώσουμε λίγη προσοχή. Για παράδειγμα, τo dict με τα transitions ορίζει μεταφράσιμα strings ως εξής:

        var TRANSITIONS = {

            'Shutting down' : '{% trans "Shutting down" %}',

            'Rebooting'     : '{% trans "Rebooting" %}',

            'Starting'      : '{% trans "Starting" %}',

            'Destroying'    : '{% trans "Destroying" %}'

        };

Αφού ορίσουμε όλα τα strings που θέλουμε να μεταφράσουμε, από τη βάση του project τρέχουμε

./bin/django-admin.py makemessages -l el -e html,txt,py --ignore=lib/*

Πλεον μπορούμε να ανοίξουμε το po αρχείο (locale/el/LC_MESSAGES/django.po) , να κάνουμε τη μετάφραση (προσοχή με τα fuzzy strings) και όταν

είμαστε έτοιμοι από τη βάση του project τρέχουμε

./bin/django-admin.py compilemessages

#2 - 07/03/2011 03:01 pm - Vangelis Koukis

- Target version changed from v0.5 to v0.5.1

#3 - 07/12/2011 04:39 pm - Constantinos Venetsanopoulos

- Target version changed from v0.5.1 to v0.5.2

#4 - 07/19/2011 01:39 am - Vangelis Koukis

- Target version changed from v0.5.2 to v0.5.3

#5 - 07/19/2011 04:05 pm - Vangelis Koukis

- Target version changed from v0.5.3 to v0.5.5

#6 - 09/02/2011 10:13 am - Vangelis Koukis

- Target version changed from v0.5.5 to v0.6

#7 - 09/12/2011 11:09 am - Vangelis Koukis

- Target version changed from v0.6 to v0.6.1

#8 - 09/13/2011 01:50 pm - Vangelis Koukis

- Target version changed from v0.6.1 to v0.6.2

#9 - 09/15/2011 02:01 pm - Vangelis Koukis

- Target version changed from v0.6.2 to 67

#10 - 10/14/2011 07:33 pm - Vangelis Koukis

- Target version deleted (67)
